#ifndef _Editor_h
#define _Editor_h

#include "Tool.h"



class Editor : public Tool 
{
public:
		// basic stuff
	virtual bool hasDocChanged();
	virtual void setDocument(Document* doc);
	
		// user interaction handled locally
	virtual void saveRequested();
	virtual void revertRequested();

		// events announced by instances of this class	
	class OriginalUpdatedEvent : public Event {};
	class CopyRestoredEvent : public Event {};
		
		// ctor, dtor, meta
	Editor();
	virtual ~Editor();

protected:
	Document* document;
	
};



#endif
