#include "CompTool.h"



CompTool* Tool::getParent()
{
	return parent;
}

void Tool::setParent(CompTool* newParent)
{
	parent = newParent;
}

CompTool* Tool::asCompTool()
{
	return 0;
}
	
CompTool* Tool::getSuccessor()
{
	return getParent();
}

void Tool::forwardRequest(Request* req)
{
	if (getSuccessor()) getSuccessor()->handleRequest(req);
}

CompTool* Tool::getObserver()
{
	return getParent();
}

void Tool::notify(Event* event)
{
	if (getObserver()) getObserver()->update(this, event);
}

Tool::Tool()
{
	parent = 0;
}

Tool::~Tool() {}

